<?PHP

class UrlChecker_ConstraintList implements IteratorAggregate
{

    public function AddConstraint(UrlChecker_Constraint $Constraint)
    {
        $this->List[] = $Constraint;
    }

    public function GetConstraintCount()
    {
        return count($this->List);
    }

    public function getIterator()
    {
        return new ArrayIterator($this->List);
    }

    private $List;

}
